GaugeRisk Data
getCoordinateRiskData
Returns risk information for the supplied peril and coordinates [latitude, longitude].
Returns risk information for the supplied peril and coordinates [latitude, longitude] in either CSV or JSON (default). The coordinates will be returned as part of the response.
Query Parameters
format*string
The response format either JSON or CSV (JSON is the default).
Value in
"json" | "csv"userKey*string
The user key.
additionalData?boolean
Request extra data (more than just the risk score, JSON only).
Default
falsereturnPerilWithNoData?boolean
Request to have a response of "N/A" returned in place of a risk score when no data is available.
Default
falseRequest Body
application/json
The requested list of coordinates [latitude, longitude, latitude, longitude...].
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://gauge.atheniumanalytics.com/v3/risk/coordinates?perils=EARTHQUAKE&format=json&userKey=string" \ -H "Content-Type: application/json" \ -d '[ "latitude1", "longitude1", "latitude2", "longitude2" ]'[
{
"state": "string",
"peril": "Cold",
"riskScore": "string",
"lat": 0.1,
"lng": 0.1,
"address": "string",
"details": null
}
]Empty
Empty
Empty